# Boost Exception

## boost/exception/info.hpp

### Synopsis

    #include <boost/exception/exception.hpp>
    #include <boost/current_function.hpp>
    #include <boost/shared_ptr.hpp>

    namespace
    boost
        {
        template <class Tag,class T>
        class
        error_info
            {
            public:

            typedef T value_type;

            error_info( value_type const & );
            };

        template <class E, class Tag, class T>
        E const & operator<<( E const & x, error_info<Tag,T> const & v );
        }

### See Also:

Boost Exception
boost/exception.hpp
error_info
exception/operator<<